<XtraSerializer version="1.0" application="TreeList">
  <property name="#LayoutVersion" />
  <property name="#LayoutScaleFactor">@1,Width=1@1,Height=1</property>
  <property name="AutoFillColumnName" />
  <property name="AutoFillFieldName" />
  <property name="HierarchyColumnName" />
  <property name="HierarchyFieldName" />
  <property name="TreeViewFieldName" />
  <property name="TreeViewColumnName" />
  <property name="ViewStyle">Default</property>
  <property name="HtmlTemplates" iskey="true" value="0" />
  <property name="ImageIndexFieldName">ImageIndex</property>
  <property name="KeyFieldName">id</property>
  <property name="ParentFieldName">parent_id</property>
  <property name="ChildListFieldName" />
  <property name="PreviewFieldName" />
  <property name="CheckBoxFieldName" />
  <property name="OptionsView" isnull="true" iskey="true">
    <property name="AutoWidth">false</property>
    <property name="ShowIndicator">false</property>
    <property name="FocusRectStyle">RowFocus</property>
    <property name="ColumnHeaderAutoHeight">True</property>
  </property>
  <property name="OptionsSelection" isnull="true" iskey="true">
    <property name="KeepSelectedOnClick">true</property>
    <property name="EnableAppearanceFocusedCell">false</property>
    <property name="InvertSelection">true</property>
  </property>
  <property name="OptionsBehavior" isnull="true" iskey="true">
    <property name="Editable">false</property>
    <property name="ReadOnly">true</property>
  </property>
  <property name="OptionsPrint" isnull="true" iskey="true">
    <property name="UsePrintStyles">false</property>
  </property>
  <property name="OptionsMenu" isnull="true" iskey="true">
    <property name="ShowExpandCollapseItems">false</property>
  </property>
  <property name="OptionsCustomization" isnull="true" iskey="true">
    <property name="AllowFilter">false</property>
    <property name="AllowBandMoving">false</property>
  </property>
  <property name="BorderStyle">Default</property>
  <property name="ShowButtonMode">ShowForFocusedCell</property>
  <property name="IndicatorWidth">-1</property>
  <property name="PreviewLineCount">1</property>
  <property name="PreviewIndent">-1</property>
  <property name="RowHeight">-1</property>
  <property name="ColumnPanelRowHeight">-1</property>
  <property name="BandPanelRowHeight">-1</property>
  <property name="FooterPanelHeight">-1</property>
  <property name="HorzScrollVisibility">Auto</property>
  <property name="HorzScrollStep">3</property>
  <property name="VertScrollVisibility">Auto</property>
  <property name="CustomizationFormBounds">@1,X=0@1,Y=0@1,Width=0@1,Height=0</property>
  <property name="Columns" iskey="true" value="4">
    <property name="Item1" isnull="true" iskey="true">
      <property name="UnboundType">Bound</property>
      <property name="UnboundDataTypeName" />
      <property name="UnboundExpression" />
      <property name="ImageIndex">-1</property>
      <property name="ImageAlignment">Near</property>
      <property name="AccessibleName" isnull="true" />
      <property name="AccessibleDescription" isnull="true" />
      <property name="AccessibleRole">Default</property>
      <property name="OptionsColumn" isnull="true" iskey="true">
        <property name="AllowSort">true</property>
      </property>
      <property name="Caption">Штрих-код</property>
      <property name="ToolTip" />
      <property name="CustomizationCaption" />
      <property name="FieldName">barcode</property>
      <property name="FieldNameSort" />
      <property name="Name">clmn_barcode</property>
      <property name="AllowIncrementalSearch">true</property>
      <property name="Fixed">None</property>
      <property name="ColumnEditName" />
      <property name="ShowButtonMode">Default</property>
      <property name="VisibleIndex">0</property>
      <property name="Visible">true</property>
      <property name="SortOrder">None</property>
      <property name="SortIndex">-1</property>
      <property name="SortMode">Default</property>
      <property name="FilterMode">Value</property>
      <property name="ShowUnboundExpressionMenu">false</property>
      <property name="Format" isnull="true" iskey="true">
        <property name="FormatString" />
        <property name="FormatType">None</property>
      </property>
      <property name="Width">80</property>
      <property name="SeparatorWidth">0</property>
      <property name="MinWidth">80</property>
      <property name="MaxWidth">80</property>
      <property name="RowFooterSummary">None</property>
      <property name="SummaryFooter">None</property>
      <property name="AllNodesSummary">false</property>
      <property name="RowFooterSummaryStrFormat">{0}</property>
      <property name="SummaryFooterStrFormat">{0}</property>
      <property name="Tag" isnull="true" />
      <property name="RowIndex">0</property>
      <property name="RowCount">1</property>
    </property>
    <property name="Item2" isnull="true" iskey="true">
      <property name="UnboundType">Bound</property>
      <property name="UnboundDataTypeName" />
      <property name="UnboundExpression" />
      <property name="ImageIndex">-1</property>
      <property name="ImageAlignment">Near</property>
      <property name="AccessibleName" isnull="true" />
      <property name="AccessibleDescription" isnull="true" />
      <property name="AccessibleRole">Default</property>
      <property name="OptionsColumn" isnull="true" iskey="true">
        <property name="AllowSort">true</property>
      </property>
      <property name="Caption">Наименование</property>
      <property name="ToolTip" />
      <property name="CustomizationCaption" />
      <property name="FieldName">name</property>
      <property name="FieldNameSort" />
      <property name="Name">clmn_name</property>
      <property name="AllowIncrementalSearch">true</property>
      <property name="Fixed">None</property>
      <property name="ColumnEditName" />
      <property name="ShowButtonMode">Default</property>
      <property name="VisibleIndex">1</property>
      <property name="Visible">true</property>
      <property name="SortOrder">None</property>
      <property name="SortIndex">-1</property>
      <property name="SortMode">Default</property>
      <property name="FilterMode">Value</property>
      <property name="ShowUnboundExpressionMenu">false</property>
      <property name="Format" isnull="true" iskey="true">
        <property name="FormatString" />
        <property name="FormatType">None</property>
      </property>
      <property name="Width">120</property>
      <property name="SeparatorWidth">0</property>
      <property name="MinWidth">20</property>
      <property name="MaxWidth">0</property>
      <property name="RowFooterSummary">None</property>
      <property name="SummaryFooter">None</property>
      <property name="AllNodesSummary">false</property>
      <property name="RowFooterSummaryStrFormat">{0}</property>
      <property name="SummaryFooterStrFormat">{0}</property>
      <property name="Tag" isnull="true" />
      <property name="RowIndex">0</property>
      <property name="RowCount">1</property>
    </property>
    <property name="Item3" isnull="true" iskey="true">
      <property name="UnboundType">Bound</property>
      <property name="UnboundDataTypeName" />
      <property name="UnboundExpression" />
      <property name="ImageIndex">-1</property>
      <property name="ImageAlignment">Near</property>
      <property name="AccessibleName" isnull="true" />
      <property name="AccessibleDescription" isnull="true" />
      <property name="AccessibleRole">Default</property>
      <property name="OptionsColumn" isnull="true" iskey="true">
        <property name="AllowSort">true</property>
      </property>
      <property name="Caption">Телефон</property>
      <property name="ToolTip" />
      <property name="CustomizationCaption" />
      <property name="FieldName">phone</property>
      <property name="FieldNameSort" />
      <property name="Name">clmn_phone</property>
      <property name="AllowIncrementalSearch">true</property>
      <property name="Fixed">None</property>
      <property name="ColumnEditName" />
      <property name="ShowButtonMode">Default</property>
      <property name="VisibleIndex">2</property>
      <property name="Visible">true</property>
      <property name="SortOrder">None</property>
      <property name="SortIndex">-1</property>
      <property name="SortMode">Default</property>
      <property name="FilterMode">Value</property>
      <property name="ShowUnboundExpressionMenu">false</property>
      <property name="Format" isnull="true" iskey="true">
        <property name="FormatString" />
        <property name="FormatType">None</property>
      </property>
      <property name="Width">75</property>
      <property name="SeparatorWidth">0</property>
      <property name="MinWidth">20</property>
      <property name="MaxWidth">0</property>
      <property name="RowFooterSummary">None</property>
      <property name="SummaryFooter">None</property>
      <property name="AllNodesSummary">false</property>
      <property name="RowFooterSummaryStrFormat">{0}</property>
      <property name="SummaryFooterStrFormat">{0}</property>
      <property name="Tag" isnull="true" />
      <property name="RowIndex">0</property>
      <property name="RowCount">1</property>
    </property>
    <property name="Item4" isnull="true" iskey="true">
      <property name="UnboundType">Bound</property>
      <property name="UnboundDataTypeName" />
      <property name="UnboundExpression" />
      <property name="ImageIndex">-1</property>
      <property name="ImageAlignment">Near</property>
      <property name="AccessibleName" isnull="true" />
      <property name="AccessibleDescription" isnull="true" />
      <property name="AccessibleRole">Default</property>
      <property name="OptionsColumn" isnull="true" iskey="true">
        <property name="AllowSort">true</property>
      </property>
      <property name="Caption">Текущий баланс</property>
      <property name="ToolTip" />
      <property name="CustomizationCaption" />
      <property name="FieldName">balance</property>
      <property name="FieldNameSort" />
      <property name="Name">clmn_balance</property>
      <property name="AllowIncrementalSearch">true</property>
      <property name="Fixed">None</property>
      <property name="ColumnEditName" />
      <property name="ShowButtonMode">Default</property>
      <property name="VisibleIndex">3</property>
      <property name="Visible">true</property>
      <property name="SortOrder">Descending</property>
      <property name="SortIndex">0</property>
      <property name="SortMode">Default</property>
      <property name="FilterMode">Value</property>
      <property name="ShowUnboundExpressionMenu">false</property>
      <property name="Format" isnull="true" iskey="true">
        <property name="FormatString">###,###,###,###,##0.00#;</property>
        <property name="FormatType">Numeric</property>
      </property>
      <property name="Width">75</property>
      <property name="SeparatorWidth">0</property>
      <property name="MinWidth">20</property>
      <property name="MaxWidth">0</property>
      <property name="RowFooterSummary">None</property>
      <property name="SummaryFooter">None</property>
      <property name="AllNodesSummary">false</property>
      <property name="RowFooterSummaryStrFormat">{0}</property>
      <property name="SummaryFooterStrFormat">{0}</property>
      <property name="Tag" isnull="true" />
      <property name="RowIndex">0</property>
      <property name="RowCount">1</property>
    </property>
  </property>
  <property name="MinWidth">20</property>
  <property name="Caption" />
  <property name="CaptionHeight">-1</property>
  <property name="EnableDynamicLoading">true</property>
  <property name="TreeLevelWidth">18</property>
  <property name="FixedLineWidth">2</property>
  <property name="NewItemRowText" />
  <property name="ActiveFilterEnabled">true</property>
  <property name="FindPanelVisible">false</property>
  <property name="FindFilterText" />
  <property name="Bands" iskey="true" value="1">
    <property name="Item1" isnull="true" iskey="true">
      <property name="Bands" iskey="true" value="0" />
      <property name="Columns" iskey="true" value="4">
        <property name="Item1">clmn_barcode</property>
        <property name="Item2">clmn_name</property>
        <property name="Item3">clmn_phone</property>
        <property name="Item4">clmn_balance</property>
      </property>
      <property name="OptionsBand" isnull="true" iskey="true">
        <property name="AllowMove">false</property>
      </property>
      <property name="Caption">Карты покупателей</property>
      <property name="Name">band_cards</property>
      <property name="SeparatorWidth">0</property>
      <property name="MinWidth">20</property>
      <property name="Fixed">Left</property>
      <property name="Width">138</property>
    </property>
  </property>
  <property name="FormatConditions" iskey="true" value="0" />
  <property name="ActiveFilterString" />
  <property name="FormatRules" iskey="true" value="0" />
</XtraSerializer>